import request from '@/utils/request'

// 查询荔枝app-公告记录列表
export function listLzydNotice(query) {
  return request({
    url: '/system/LzydNotice/list',
    method: 'get',
    params: query
  })
}

// 查询荔枝app-公告记录详细
export function getLzydNotice(id) {
  return request({
    url: '/system/LzydNotice/' + id,
    method: 'get'
  })
}

// 新增荔枝app-公告记录
export function addLzydNotice(data) {
  return request({
    url: '/system/LzydNotice',
    method: 'post',
    data: data
  })
}

// 修改荔枝app-公告记录
export function updateLzydNotice(data) {
  return request({
    url: '/system/LzydNotice',
    method: 'put',
    data: data
  })
}

// 删除荔枝app-公告记录
export function delLzydNotice(id) {
  return request({
    url: '/system/LzydNotice/' + id,
    method: 'delete'
  })
}

// 导出荔枝app-公告记录
export function exportLzydNotice(query) {
  return request({
    url: '/system/LzydNotice/export',
    method: 'get',
    params: query
  })
}